Subject: Ticket Assigned - Order Number 7439142817
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 10 Mar 2021 02:38:58 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order Number 7439142817 Hi

I want to know if there is any update on my order. I was supposed to
receive it last Thursday, but up until now, I did not receive anything not
even an update on your website. I called your hotline yesterday, and the
agent said that she, will coordinate with your warehouse. But when I check
today morning, it is still said processing. Can you please tell me, what
happened to my order? If it will take much more time, then I need to cancel
it.

Waiting for your urgent response on this matter.

Best Regards,
Althessa

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2209083